Eastchester High School Morning Announcements

Picture of Stacy Goldring
Friday, October 18
by Stacy Goldring - Friday, October 18, 2019, 9:37 AM
 

Are you interested in learning more about the college process? Are you a Junior starting your college search? A Senior applying to colleges? Then Come to the Pelham/Eastchester Fall College Fair on October 21st from 7:00 PM - 8:30 PM at Pelham Middle School. There will be 100 colleges and universities in attendance to answer your questions.

Attention all seniors who applied to the National Honor Society, there will be a MANDATORY organizational meeting on Friday 10/18 afterschool in the Study Center. We will be electing officers and going over expectations for the year. Be there!


COLLEGE VISITS FOR THE WEEK OF 10/15/2019  

Friday – 10/18/19 Dominican College – 4th Period

Are you in 11th grade? Is your overall average above a 85? Is your math average above a 90? Are you willing to tutor at least three times per month? You can join the New York State Math Honor Society! Come see Mrs. Barbara in 328 for an application.

As the weather in October turns colder, and fall quickly turns to winter, there are many in Westchester County who are in need of our assistance. Believe it or not, socks are one of the most sought-after items for the homeless in our community. Throughout October, Lifting Up Westchester is collecting new socks to help those in need; a "sock dropbox" is located in the cafeteria outside the guidance office. Please consider donating what you can to help those who are less fortunate!

Chess Club Meeting Friday October 18 in room 304. All levels are welcome. Learn how to play chess, improve your strategies, or just come to play and have some fun. Bring a friend. We meet every Friday.

The Art Candy Fundraiser money is due by Friday October 25th. No exceptions. Please see your Art Teacher to hand in all funds. Thank you.

There will be an Art Honor Society Meeting on Monday October 21st at 2:30 after school. All members must attend. Also please ensure you are returning after school for your scheduled day to work on the fashion show center pieces. Thank you.

There will be an Indoor Track meeting next Thursday, 10/23, immediately after school in room 242. It is important that all interested athletes attend, particularly if you missed our first meeting.

All interested in playing JV Basketball, there will be a Meeting on Monday at 2:45PM in the lower gym. (please read this on Monday of next week as well - Thank you)

Going Green meets every Friday after school in room 235. All are welcome

The Poetry Club is hosting an Open Mic Night on Friday, October 25th, at 7PM, at Barnes & Noble. Everyone is welcomed to bring their own poetry, to read poetry, or to just support your friends.

The Varsity Games for This weekend are as follows: 

Friday

Boys Volleyball takes on Clarkstown North at Clarkstown 

Girls Soccer takes on Harrison HS at home at 4:30 

Girls Swimming has a meet at Suffern HS 

Saturday: 

Boys Soccer takes on Sleepy Hollow HS in Sleepy Hollow in the morning 

Football takes on Sleepy Hollow HS in Sleepy Hollow at 3 

Cross Country has a meet 68 miles away 

 Be sure to come out and support your eagles!!

Tomorrow there is an optional Eastchester Wrestling practice starts at 9 am. We will meet in the EMS Gym. If you are interested in wrestling for the 2019-20 season please look to participate and meet the new coaching staff.

 
Picture of Stacy Goldring
Wednesday, October 16
by Stacy Goldring - Thursday, October 17, 2019, 8:37 AM
 

Are you interested in learning more about the college process? Are you a Junior starting your college search? A Senior applying to colleges? Then Come to the Pelham/Eastchester Fall College Fair on October 21st from 7:00 PM - 8:30 PM at Pelham Middle School. There will be 100 colleges and universities in attendance to answer your questions.

Attention all seniors who applied to the National Honor Society, there will be a MANDATORY organizational meeting on Friday 10/18 afterschool in the Study Center. We will be electing officers and going over expectations for the year. Be there!

The last day to sign up for the PSAT is Wednesday, October 16th. You can bring your payment to the guidance office until 3:30PM on that day. If you have any questions, please see you school counselor.

COLLEGE VISITS FOR THE WEEK OF 10/15/2019  

Wednesday – 10/16/2019 Fashion Institute of Design & Merchandising – 6th Period 

Thursday – 10/17/19 Wheaton College – 7th Period Syracuse University – 9th Period 

Friday – 10/18/19 Dominican College – 4th Period

Are you in 11th grade? Is your overall average above a 85? Is your math average above a 90? Are you willing to tutor at least three times per month? You can join the New York State Math Honor Society! Come see Mrs. Barbara in 328 for an application

As the weather in October turns colder, and fall quickly turns to winter, there are many in Westchester County who are in need of our assistance. Believe it or not, socks are one of the most sought-after items for the homeless in our community. Throughout October, Lifting Up Westchester is collecting new socks to help those in need; a "sock dropbox" is located in the cafeteria outside the guidance office. Please consider donating what you can to help those who are less fortunate!

There will be an important English Honor Society meeting in room 242 immediately after school this Thursday. All members are expected to attend.

The senior t-shirts will be distributed Period 9 and after school today in Room 236. The senior photo will be this Friday during homeroom. Please remember to wear your class t-shirt or a plain white t-shirt.

The NYS Science Honors Society is offering tutoring in science subjects in Mr Gorycki's room, room 231, today after school. Science Honors Society members are asked to attend.

The Varsity Games for Today are as follows: 

Girls Soccer takes on Byram Hills HS in Byram 

Boys Volleyball takes on Scarsdale at home at 4:30 for their senior game. 

Be sure to come out and support your Eagles!

The Art Candy Fundraiser money is due by Friday October 25th. No exceptions. Please see your Art Teacher to hand in all funds. Thank you.

There will be an Art Honor Society Meeting on Monday October 21st at 2:30 after school. All members must attend. Also please ensure you are returning after school for your scheduled day to work on the fashion show center pieces. Thank you.

There will be an Indoor Track meeting next Thursday, 10/23, immediately after school in room 242. It is important that all interested athletes attend, particularly if you missed our first meeting.

The Poetry Club is hosting an Open Mic Night on Friday, October 25th, at 7PM, at Barnes & Noble.  Everyone is welcomed to bring their own poetry, to read poetry, or to just support your friends.  

 
Picture of Stacy Goldring
Thursday, October 17
by Stacy Goldring - Thursday, October 17, 2019, 8:22 AM
 

Are you interested in learning more about the college process? Are you a Junior starting your college search? A Senior applying to colleges? Then Come to the Pelham/Eastchester Fall College Fair on October 21st from 7:00 PM - 8:30 PM at Pelham Middle School. There will be 100 colleges and universities in attendance to answer your questions.

There will be an important English Honor Society meeting in room 242 immediately after school this Thursday. All members are expected to attend.

Attention all seniors who applied to the National Honor Society, there will be a MANDATORY organizational meeting on Friday 10/18 afterschool in the Study Center. We will be electing officers and going over expectations for the year. Be there!


COLLEGE VISITS FOR THE WEEK OF 10/15/2019  

Thursday – 10/17/19 Wheaton College – 7th Period Syracuse University – 9th Period 

Friday – 10/18/19 Dominican College – 4th Period

Are you in 11th grade? Is your overall average above a 85? Is your math average above a 90? Are you willing to tutor at least three times per month? You can join the New York State Math Honor Society! Come see Mrs. Barbara in 328 for an application

As the weather in October turns colder, and fall quickly turns to winter, there are many in Westchester County who are in need of our assistance. Believe it or not, socks are one of the most sought-after items for the homeless in our community. Throughout October, Lifting Up Westchester is collecting new socks to help those in need; a "sock dropbox" is located in the cafeteria outside the guidance office. Please consider donating what you can to help those who are less fortunate!

Chess Club Meeting Friday October 18 in room 304. All levels are welcome. Learn how to play chess, improve your strategies, or just come to play and have some fun. Bring a friend. We meet every Friday.

The Art Candy Fundraiser money is due by Friday October 25th. No exceptions. Please see your Art Teacher to hand in all funds. Thank you.

There will be an Art Honor Society Meeting on Monday October 21st at 2:30 after school. All members must attend. Also please ensure you are returning after school for your scheduled day to work on the fashion show center pieces. Thank you.

There will be an Indoor Track meeting next Thursday, 10/23, immediately after school in room 242. It is important that all interested athletes attend, particularly if you missed our first meeting.

The Varsity Games for Today are as follows: 

Girls Swimming takes on Suffern HS at Suffern 

Girls Volleyball takes on Rye HS at Rye 

Boys Volleyball takes on Ramapo at Home at 4:30 

Boys Soccer takes on Byram Hills HS at home at 4:15

All interested in playing JV Basketball, there will be a Meeting on Monday at 2:45PM in the lower gym. (please read this on Monday of next week as well - Thank you)

Going Green meets every Friday after school in room 235. All are welcome